---
title: "Get doc group template recipients"
url: "https://docs.signnow.com/docs/document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-recipients"
type: "endpoint"
section: "document-group-template"
slug: "document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-recipients"
method: "GET"
path: "/v2/document-group-templates/{doc_group_template_id}/recipients"
operation_id: "get-v2-document-group-templates-doc_group_template_id-recipients"
authorization: "bearer"
---

# Get doc group template recipients

`GET /v2/document-group-templates/{doc_group_template_id}/recipients`

This endpoint allows users to get a list of the document group template recipients.


## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `doc_group_template_id` | string | Yes | ID of the document group template |

## Responses

### 200

Success

**Example** (`Example 1`)

```json
{
  "data": {
    "cc": [
      "copy_receiver1@mail.com",
      "copy_receiver2@test.com"
    ],
    "order_type": null,
    "recipients": [
      {
        "name": "Recipient 1",
        "email": "recipient@mail.com",
        "order": 1,
        "documents": [
          {
            "id": "d04e4a885b513a6d9c4c2e7c2b7fa06a013a7412",
            "role": "Actor name",
            "action": "sign"
          },
          {
            "id": "d04e4a885b513a6d9c4c2e7c2b7fa06a013a74aa",
            "role": "Viewer name",
            "action": "view"
          }
        ],
        "attributes": {
          "message": "Message text",
          "subject": "Subject",
          "reminder": {
            "remind_after": 10,
            "remind_before": 10,
            "remind_repeat": 10
          },
          "authentication": {
            "type": "type",
            "phone": "phone number",
            "value": "value for the paas protection",
            "method": "method name"
          },
          "i_am_recipient": true,
          "expiration_days": 10,
          "allow_forwarding": true
        }
      }
    ],
    "general_reminder": {
      "remind_after": 3,
      "remind_before": 5,
      "remind_repeat": 7
    },
    "unmapped_documents": [
      {
        "id": "d04e4a885b513a6d9c4c2e7c2b7fa06a013a749f",
        "role": "Actor name",
        "action": "sign"
      }
    ],
    "general_expiration_days": 30,
    "allowed_unmapped_sign_documents": [
      {
        "id": "d04e4a885b513a6d9c4c2e7c2b7fa06a013a749f",
        "role": "Actor name",
        "recipient": "Recipient 1"
      }
    ]
  }
}
```

### 400

* Incorrect Bearer token
* No access to the document group template

**Example** (`Access denied`)

```json
{
  "errors": [
    {
      "code": 13022001,
      "message": "Access to DocumentGroupTemplate is denied"
    }
  ]
}
```

**Example** (`Incorrect Bearer token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

Document group template ID not found

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "DocumentGroupTemplate `d04e4a885b513a6d9c4c2e7c2b7fa06a013a749f` not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-group-templates/{doc_group_template_id}/recipients" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-recipients*
